Subject: [PATCH 23/23] clk: at91: Revert "keep slow clk enabled to prevent system hang"

From: [email-masked] (Stephen Boyd)
Date: Fri, 31 Jul 2015 14:34:25 -0700

On 07/31/2015 02:27 PM, Alexandre Belloni wrote:
> On 31/07/2015 at 14:11:27 -0700, Stephen Boyd wrote :
>> On 07/31/2015 02:09 PM, Alexandre Belloni wrote:
>>> On 31/07/2015 at 12:00:28 -0700, Stephen Boyd wrote :
>>>> On 07/31/2015 02:39 AM, Alexandre Belloni wrote:
>>>>> -	clk_prepare_enable(slow_clk);
>>>>> -
>>>>> -	return 0;
>>>>> -}
>>>>> -arch_initcall(of_at91_clk_slow_retain);
>>>> Can you drop the include of clk.h in this file too?
>>>>
>>> Sure! I will do that in v3. However, I'll wait for some feedback from
>>> the other maintainers before sending again.
>>>
>> Cool. Also, are you going to take this through arm-soc? If so, feel free to
>> add my ack.
>>
> Actually, clk.h has never been included in that file.
>
> I was thinking you could take it once the other patch made it in each
> subsystem. It is not urgent, it can probably skip one or two cycles.
>

Ok that's fine. I added clk.h into this file when I removed clk.h from 
clk-provider.h so that it keeps compiling. Please remind us to pick this 
up when you think it's ready.

-- 
Qualcomm Innovation Center, Inc. is a member of Code Aurora Forum,
a Linux Foundation Collaborative Project